## org.hibernate.metamodel.source.hbm
Class Helper.ValueSourcesAdapter

    java.lang.Object
      org.hibernate.metamodel.source.hbm.Helper.ValueSourcesAdapter

Enclosing class:
  Helper

    public static class Helper.ValueSourcesAdapter

extends Object

Constructor Summary
`Helper.ValueSourcesAdapter()`

Method Summary
`String` `getColumnAttribute()`
`List` `getColumnOrFormulaElements()`
`String` `getContainingTableName()`
`String` `getFormulaAttribute()`
`boolean` `isForceNotNull()`
`boolean` `isIncludedInInsertByDefault()`
`boolean` `isIncludedInUpdateByDefault()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Helper.ValueSourcesAdapter

    public Helper.ValueSourcesAdapter()

Method Detail

### getContainingTableName

    public String getContainingTableName()

### isIncludedInInsertByDefault

    public boolean isIncludedInInsertByDefault()

### isIncludedInUpdateByDefault

    public boolean isIncludedInUpdateByDefault()

### getColumnAttribute

    public String getColumnAttribute()

### getFormulaAttribute

    public String getFormulaAttribute()

### getColumnOrFormulaElements

    public List getColumnOrFormulaElements()

### isForceNotNull

    public boolean isForceNotNull()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.